OpenVDB: RasterizePoints< TransferT, TopologyT, PointFilterT, InterrupterT > Struct Template Reference

OpenVDB 10.0.1

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Attributes | List of all members
RasterizePoints< TransferT, TopologyT, PointFilterT, InterrupterT > Struct Template Reference

`#include <openvdb/points/PointTransfer.h>`

## Public Types
using | LeafManagerT = tree::LeafManager< TopologyT >
using | LeafNodeT = typename LeafManagerT::LeafNodeType

## Public Member Functions
| RasterizePoints (const points::PointDataTree &tree, const TransferT &transfer, const PointFilterT &filter=PointFilterT(), InterrupterT *interrupter=nullptr)
void | operator() (LeafNodeT &leaf, const size_t idx) const
void | operator() (const typename LeafManagerT::LeafRange &range) const

## Static Public Attributes
static const Index | DIM = TopologyT::LeafNodeType::DIM
static const Int32 | DIM32 = static_cast<Int32>(DIM)
static const Index | LOG2DIM = TopologyT::LeafNodeType::LOG2DIM

## Member Typedef Documentation

## ◆ LeafManagerT

template<typename TransferT , typename TopologyT , typename PointFilterT = points::NullFilter, typename InterrupterT = util::NullInterrupter>

using LeafManagerT = tree::LeafManager<TopologyT>

## ◆ LeafNodeT

template<typename TransferT , typename TopologyT , typename PointFilterT = points::NullFilter, typename InterrupterT = util::NullInterrupter>

using LeafNodeT = typename LeafManagerT::LeafNodeType

## Constructor & Destructor Documentation

## ◆ RasterizePoints()

template<typename TransferT , typename TopologyT , typename PointFilterT = points::NullFilter, typename InterrupterT = util::NullInterrupter>

RasterizePoints | ( | const points::PointDataTree & | tree,
|  | const TransferT & | transfer,
|  | const PointFilterT & | filter = `PointFilterT()`,
|  | InterrupterT * | interrupter = `nullptr`
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename TransferT , typename TopologyT , typename PointFilterT = points::NullFilter, typename InterrupterT = util::NullInterrupter>

void operator() | ( | const typename LeafManagerT::LeafRange & | range | ) | const
| inline

## ◆ operator()() [2/2]

template<typename TransferT , typename TopologyT , typename PointFilterT = points::NullFilter, typename InterrupterT = util::NullInterrupter>

void operator() | ( | LeafNodeT & | leaf,
|  | const size_t | idx
| ) |  | const
| inline

## Member Data Documentation

## ◆ DIM

template<typename TransferT , typename TopologyT , typename PointFilterT = points::NullFilter, typename InterrupterT = util::NullInterrupter>

const Index DIM = TopologyT::LeafNodeType::DIM
| static

## ◆ DIM32

template<typename TransferT , typename TopologyT , typename PointFilterT = points::NullFilter, typename InterrupterT = util::NullInterrupter>

const Int32 DIM32 = static_cast<Int32>(DIM)
| static

## ◆ LOG2DIM

template<typename TransferT , typename TopologyT , typename PointFilterT = points::NullFilter, typename InterrupterT = util::NullInterrupter>

const Index LOG2DIM = TopologyT::LeafNodeType::LOG2DIM
| static